%define module_name Math-Random-PCG32
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(CPAN/Meta.pm) perl(ExtUtils/CBuilder.pm) perl(Module/Build.pm) perl(Test2/V0.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.24
Release: alt2
Summary: minimal PCG random number generator
Group: Development/Perl
License: apache
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JM/JMATES/%{module_name}-%{version}.tar.gz

%description
This is a minimal PCG random number generator with a few utility
routines.

http://www.pcg-random.org/

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_archlib/M*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.24-alt2
- rebuild with perl 5.38

* Sat Feb 25 2023 Igor Vlasenko <viy@altlinux.org> 0.24-alt1
- updated by package builder

* Mon Jul 25 2022 Igor Vlasenko <viy@altlinux.org> 0.23-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.17-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.17-alt2
- rebuild with perl 5.30

* Thu Mar 12 2020 Igor Vlasenko <viy@altlinux.ru> 0.17-alt1
- updated by package builder

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.12-alt1.1
- rebuild with perl 5.28.1

* Mon Oct 22 2018 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1
- regenerated from template by package builder

* Thu Oct 11 2018 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- regenerated from template by package builder

* Tue Oct 02 2018 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- initial import by package builder

